from cli_Context import *
from llm import *

# Greet the user
@llm_by_value
def cli_greetUser(
  c: cli_Context
) -> cli_Context:
  c.outputGreeting = "OGS Memory Textual UI"
  c.recentField = "outputGreeting"
  return c
#}

# Show help (aka commands)
@llm_by_value
def cli_showHelp(
  c: cli_Context
) -> cli_Context:
  if (
    c.input == "h" or
    c.input == "help"
  ):
    c.outputHelp = "Commands:\n\te, exit, q, quit\n\t\tExit\n\th, help\n\t\tList commands\n"
    c.recentField = "outputHelp"
    return c
  #}
  c.recentField = "none"
  return c
#}
